Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000704bareos-core[All Projects] webuipublic2016-10-05 12:452017-06-08 16:14
Reporterjoergs 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version16.2.4 
Target Version16.2.4Fixed in Version16.2.4 
Summary0000704: When updating from 15.2, the bareos-dir webui profile does not allow all required commands for the webui
DescriptionThe bareos-dir webui profile, that comes with bareos-15.2 (https://github.com/bareos/bareos-webui/blob/bareos-15.2/install/bareos/webui-profiles.conf [^]) only allow a subset of commands required for bareos-webui 16.2.

Moreover, the CommandACL .bvfs_* is no proper regex and therefore not longer valid. It should be .bvfs_.*
Steps To ReproduceInstall bareos-15.2, including the bareos-webui.

Add the bareos-16.2 repository (or nightly) and update to bareos >= 16.2.0.

While it initially looks as if bareos-webui is working, the pages (especially the restore browser) show no information.
Additional InformationFix (for bareos-15.2 default installation and update to bareos-16.2, without migrating the configuration to Subdirectory Configuration Scheme):

In /etc/bareos/bareos-dir.conf
replace

@/etc/bareos/bareos-dir.d/webui-profiles.conf

by

@/etc/bareos/bareos-dir.d/profile/webui-admin.conf
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files

- Relationships
related to 0000706closed enable: is an invalid command. 
child of 0000698closedstephand Release bareos-16.2.4 

-  Notes
(0002374)
joergs (administrator)
2016-10-05 13:05

A good automatic fix for this is not easily possible.

However, this behaviour must be mentioned in the Bareos release notes.

Moreover, the bareos-webui could be extended to check if it has permission to execute all required commands.

If some permission is missing, this functionality can be hidden from the webui and a hint presented to the user.
(0002391)
frank (manager)
2016-10-13 17:15

A new controller plugin has been added, to validate each controller action
if all required commands to run the module properly are given in the
used Console/Profile Command ACL.

Additionally a new view helper has been introduced to centralize the ACL alert
message which is displayed when the given Command ACL does not fit the
requirements.

See:

https://github.com/bareos/bareos-webui/commit/00439f575f7dad4d425a30ef559b66e27df9c5d8 [^]

Also upgrading webui from 15.2 to 16.2 and the differences between such versions regarding the Command ACL have been documented in the official bareos documentation.

- Issue History
Date Modified Username Field Change
2016-10-05 12:45 joergs New Issue
2016-10-05 12:45 joergs Status new => assigned
2016-10-05 12:45 joergs Assigned To => frank
2016-10-05 13:05 joergs bareos-master: impact => yes
2016-10-05 13:05 joergs bareos-master: action => will care
2016-10-05 13:05 joergs bareos-16.2: impact => yes
2016-10-05 13:05 joergs bareos-16.2: action => will care
2016-10-05 13:05 joergs bareos-15.2: impact => no
2016-10-05 13:05 joergs bareos-14.2: impact => no
2016-10-05 13:05 joergs bareos-13.2: impact => no
2016-10-05 13:05 joergs bareos-12.4: impact => no
2016-10-05 13:05 joergs Note Added: 0002374
2016-10-05 13:06 joergs Relationship added child of 0000698
2016-10-13 17:15 frank Note Added: 0002391
2016-10-13 17:17 frank bareos-master: action will care => fixed
2016-10-13 17:17 frank bareos-16.2: action will care => fixed
2016-10-13 17:17 frank Status assigned => resolved
2016-10-13 17:17 frank Fixed in Version => 16.2.4
2016-10-13 17:17 frank Resolution open => fixed
2016-10-13 17:21 frank Relationship added related to 0000706
2017-06-08 16:14 frank Status resolved => closed
2017-06-08 16:14 frank Assigned To frank =>


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker